View Issue Details

IDProjectCategoryView StatusLast Update
0026125mantisbtuipublic2019-12-09 04:31
Reporterdregad Assigned Todregad  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.23.0 
Target Version2.23.0Fixed in Version2.23.0 
Summary0026125: "Users monitoring this issue" section not shown if nobody is monitoring the issue
Description

Since the introduction of IssueViewPageCommand (0025902), the "Users monitoring this issue" section is only displayed if there is at least one user monitoring the issue.

This makes it impossible for privileged users to add other users to the issue's monitoring list.

TagsNo tags attached.

Relationships

related to 0026123 closeddregad Both "monitor" and "end monitoring" buttons are displayed 
related to 0025902 closedvboctor Implement IssueViewPageCommand to separate logic from rendering of issue view page 

Activities

dregad

dregad

2019-09-11 07:21

developer   ~0062764

PR https://github.com/mantisbt/mantisbt/pull/1560

dregad

dregad

2019-09-11 09:05

developer   ~0062766

Last edited: 2019-09-11 09:07

Regression from MantisBT master b90cc957

Related Changesets

MantisBT: master b90cc957

2019-06-03 03:23:53

vboctor

Details Diff
Use standard REST issue + issue view extra info Affected Issues
0026125, 0026600
mod - bug_view_inc.php Diff File
mod - core/commands/IssueViewCommand.php Diff File

MantisBT: master aa429d33

2019-09-16 03:59:08

dregad

Details Diff
Also display "monitors" section if issue not monitored

The "Users monitoring this issue" section was only displayed when there
is at least one user monitoring the issue.

Includes fixes to PR review comments by @vboctor
- Fix check of force_readonly option
- "Belt & braces" when processing list of monitoring users

Fixes 0026125
Affected Issues
0026125
mod - bug_view_inc.php Diff File
mod - core/commands/IssueViewPageCommand.php Diff File